# Algorithms_in_C++: operations_on_datastructures::circular_linked_list::Node Struct Reference

Loading...
Searching...
No Matches
operations_on_datastructures::circular_linked_list::Node Struct Reference

A Node struct that represents a single Node in a Binary Tree. More...

Collaboration diagram for operations_on_datastructures::circular_linked_list::Node:
[legend]

## Public Member Functions

| Node (int64_t _data)
| Creates a new Node with some initial data. More...
| Node (int64_t _data, Node *_next)
| Creates a new Node with initial data and a successor. More...

## Public Attributes

int64_t | data
| The value of the Node.
Node * | next
| The Node's successor.

## Detailed Description

A Node struct that represents a single Node in a Binary Tree.

## Constructor & Destructor Documentation

## Node() [1/2]

operations_on_datastructures::circular_linked_list::Node::Node | ( | int64_t | _data | ) |

inlineexplicit

Creates a new Node with some initial data.

Parameters

  _data | Value of Node

< Set value of Node data

< Initialize successor

{
data = _data; ///< Set value of Node data
next = nullptr; ///< Initialize successor
}
operations_on_datastructures::circular_linked_list::Node::data
int64_t data
The value of the Node.
Definition: circular_linked_list.cpp:33
operations_on_datastructures::circular_linked_list::Node::next
Node * next
The Node's successor.
Definition: circular_linked_list.cpp:34

## Node() [2/2]

operations_on_datastructures::circular_linked_list::Node::Node | ( | int64_t | _data,
|  | Node * | _next
| ) |  |

inlineexplicit

Creates a new Node with initial data and a successor.

Parameters

  _data | Value of Node
  _next | Pointer to the next Node

< Set value of Node data

< Initialize successor

{
data = _data; ///< Set value of Node data
next = _next; ///< Initialize successor
}

The documentation for this struct was generated from the following file:

- operations_on_datastructures/circular_linked_list.cpp